
/* 実装向けクラス */
div.cross-meter-area {
  display: flex;
  user-select: none;
}

div.cross-meter-area > canvas.cross-meter-area-cvs {
  pointer-events: none;
}

div.cross-meter-area > div.left-scale {
  display: flex;
  position: absolute;
  z-index: 250;
}

.left-scale > div.main-scale {
  position: absolute;
  top: 38px;
  left: 221px;
  width: 4px;
  height: 170px;
  transform-origin: bottom;
}

.left-scale > div.main-scale::after {
  position: absolute;
  top: 0;
  content: "";
  width: 4px;
  height: 22px;
  background-color: #3399ff;
}

div.cross-meter-area > div.left-scale-label {
  display: flex;
  position: absolute;
  pointer-events: none;
}

div.cross-meter-area > div.left-scale-label {
  pointer-events: none;
}

.left-scale-label > span {
  position: absolute;
  text-align: center;
  width: 34px;
  font-size: 12px;
  pointer-events: none;
  font-family: "arial narrow";
}

.left-title-area {
  pointer-events: none;
  position: absolute;
  z-index: 100;
}

.left-title-area > div.left-meter-title {
  font-weight: bold;
  left: 0px;
  top: 320px;
  position: absolute;
  width: 75px;
  pointer-events: none;
}

.left-title-area > div.left-meter-unit-label {
  font-weight: bold;
  left: 0px;
  top: 335px;
  position: absolute;
  width: 75px;
  pointer-events: none;
}

.left-needle-area {
  position: absolute;
  width: 330px;
  height: 320px;
}

div.left-needle-area > div.left-scale-needle-content {
  /* 針のクリック領域を拡張 */
  position: absolute;
  top: 198px;
  left: 313px;
  width: 16px;
  height: 150px;
  background: none;
  transform-origin: bottom;
  z-index: 301;
}
.left-needle-area > div.left-scale-needle-content > .left-scale-needle {
  border-color: transparent transparent #000000 transparent;
  border-style: solid;
  border-width: 0 2.5px 290px 2.5px;
  top: -142px;
  left: 6.5px;
  height: 0;
  position: absolute;
  width: 6px;
  transform-origin: bottom;
}

.left-needle-area > div.left-scale-needle-content > div#left-scale-needle-point {
  background-color: #000000;
  position: absolute;
  top: 144px;
  left: 4px;
  width: 10px;
  height: 10px;
  border-radius: 50%;
}

div.cross-meter-area > div.right-scale {
  display: flex;
  position: absolute;
  z-index: 250;
}

div.cross-meter-area > div.right-scale-label {
  display: flex;
  pointer-events: none;
  position: absolute;
}

.right-scale-label > span {
  position: absolute;
  text-align: center;
  width: 34px;
}

.right-title-area {
  pointer-events: none;
  position: absolute;
  z-index: 200;
}

.right-title-area > div.right-meter-title {
  font-weight: bold;
  left: 485px;
  top: 320px;
  position: absolute;
  width: 75px;
  pointer-events: none;
}

.right-title-area > div.right-meter-unit-label {
  font-weight: bold;
  left: 485px;
  top: 335px;
  position: absolute;
  width: 75px;
  pointer-events: none;
}

.right-needle-area {
  position: absolute;
}

div.right-needle-area > div.right-scale-needle-content {
  /* 針のクリック領域を拡張 */
  position: absolute;
  top: 198px;
  left: 262px;
  width: 16px;
  height: 150px;
  background: none;
  transform-origin: bottom;
  pointer-events: none;
  z-index: 301;
}

div.right-needle-area > div.right-scale-needle-content > .right-scale-needle {
  border-color: transparent transparent #000 transparent;
  border-style: solid;
  border-width: 0 2.5px 231px 2.5px;
  left: 5px;
  top: -80px;
  height: 0px;
  position: absolute;
  width: 5px;
  transform-origin: bottom;
}

div.right-needle-area > div.right-scale-needle-content > div#right-scale-needle-point {
  background-color: #000;
  position: absolute;
  top: 145px;
  left: 3px;
  width: 10px;
  height: 10px;
  border-radius: 50%;
}
.cross-meter-content .block_btn {
	position: absolute;
    top: 5%;
    right: 5%;
}
.block_btn .reset-button {
	color: #FFFFFF;
	background: #F15929;
	line-height: 2;
	font-size: 13px;
}
.cross-meter-content {
    position: relative;
    border: 10px solid #000000;
    border-radius: 10px;
    outline: 20px solid #000000;
    outline-offset: -21px;
	zoom: 60%;
	width: 680px;
    margin: 0 auto;
}
.cross-meter-content .triangle-left {
	position: absolute;
    bottom: 0;
    left: 0;
    border-right: 550px solid transparent;
    border-bottom: 100px solid #000000;
    border-left: 0px solid transparent;
}
.cross-meter-content .triangle-right {
    position: absolute;
    bottom: 0;
    right: 0;
    border-right: 0px solid transparent;
    border-bottom: 100px solid #000000;
    border-left: 550px solid transparent;
}